#ifndef SRC_HDF_TIME_WRITER_HH
#define SRC_HDF_TIME_WRITER_HH

#include <dune/fufem/hdf5/hdf5file.hh>
#include <dune/fufem/hdf5/hdf5-sequence-io.hh>

template <class ProgramState> class TimeWriter {
public:
  TimeWriter(HDF5Grouplike &file);
  void write(ProgramState const &programState);

private:
  HDF5Grouplike &file_;
  HDF5SequenceIO<0> relativeTimeWriter_;
  HDF5SequenceIO<0> relativeTimeIncrementWriter_;
};
#endif
